Skip to main content
PUT
/
v0
/
components
/
{componentId}
/
filter-sets
/
{filterSetId}
Update a filter set
curl --request PUT \
  --url https://{hostname}.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId} \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "name": "<string>",
  "payloads": [
    {
      "payloadName": "<string>",
      "note": "<string>"
    }
  ]
}
'
import requests

url = "https://{hostname}.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId}"

payload = {
"name": "<string>",
"payloads": [
{
"payloadName": "<string>",
"note": "<string>"
}
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', payloads: [{payloadName: '<string>', note: '<string>'}]})
};

fetch('https://{hostname}.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "payloads": [
    {
      "payloadName": "<string>",
      "note": "<string>"
    }
  ],
  "createdBy": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>"
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

componentId
string<uuid>
required

UUID of the ground-truth component.

filterSetId
string<uuid>
required

UUID of the filter set.

Body

application/json

Request body to update a measurement-report filter set.

name
string
required

Human-readable name for the filter set.

payloads
object[]
required

Payloads included when this filter set is applied.

Response

200 - application/json

The updated filter set

A named, reusable set of ground-truth payloads used to scope a measurement report. Associated with a ground-truth component (version-independent).

id
string<uuid>
required

Unique identifier for the filter set.

componentId
string<uuid>
required

Ground-truth component this filter set is associated with.

name
string
required

Human-readable name for the filter set.

payloads
object[]
required

Payloads included when this filter set is applied.

createdBy
string

Email of the user who created the filter set.

createdAt
string

ISO timestamp when the filter set was created.

updatedAt
string

ISO timestamp when the filter set was last updated.